opus.Gizmo({
	name: "main",
	dropTarget: true,
	ontap: "",
	type: "Palm.Mojo.Panel",
	h: "100%",
	styles: {
		zIndex: 2
	},
	chrome: [
		{
			name: "pageHeader1",
			title: "RFC-2289 OTP Generator",
			type: "Palm.Mojo.PageHeader",
			l: 0,
			t: 0,
			styles: {
				textAlign: "center"
			}
		},
		{
			name: "scroller1",
			scrollPosition: {
				left: 0,
				top: 0
			},
			type: "Palm.Mojo.Scroller",
			l: 0,
			t: 452,
			h: "100%",
			styles: {
				cursor: "move",
				overflow: "hidden"
			},
			controls: [
				{
					name: "group1",
					dropTarget: true,
					label: "Challenge",
					type: "Palm.Mojo.Group",
					l: 0,
					t: 0,
					h: "148",
					controls: [
						{
							name: "row1",
							dropTarget: true,
							rowType: "first",
							type: "Palm.Mojo.Row",
							l: 0,
							t: 0,
							h: "auto",
							controls: [
								{
									name: "listSelector1",
									modelName: "listSelector1Model",
									value: "md_demo1",
									choices: [
										{
											label: "DEMO-DATA1",
											value: "md_demo1"
										},
										{
											label: "DEMO-DATA2",
											value: "md_demo2"
										},
										{
											label: "DEMO-DATA3",
											value: "md_demo3"
										}
									],
									onchange: "listSelector1Change",
									type: "Palm.Mojo.ListSelector",
									l: "2",
									w: "98%",
									h: "52"
								}
							]
						},
						{
							name: "row2",
							dropTarget: true,
							rowType: "last",
							isTextField: true,
							type: "Palm.Mojo.Row",
							l: 0,
							t: 60,
							h: "auto",
							controls: [
								{
									name: "textField1",
									onhold: "textField1Hold",
									hintText: "seq-number <space> seed-code",
									type: "Palm.Mojo.TextField",
									l: 0,
									styles: {
										fontSize: "17px"
									}
								}
							]
						}
					]
				},
				{
					name: "button1",
					ontap: "button1Tap",
					disabled: undefined,
					label: "Generate One-Time Password",
					type: "Palm.Mojo.Button",
					l: 0,
					t: 148
				},
				{
					name: "row3",
					layoutKind: "hbox",
					dropTarget: true,
					focusHighlight: false,
					tapHighlight: false,
					rowType: "last",
					type: "Palm.Mojo.Row",
					l: 0,
					t: 260,
					h: "60",
					controls: [
						{
							name: "listSelector2",
							onhold: "",
							modelName: "listSelector2Model",
							value: "srv_demo1",
							choices: [
								{
									label: "DEMO-DATA1",
									value: "srv_demo1"
								},
								{
									label: "DEMO-DATA2",
									value: "srv_demo2"
								},
								{
									label: "DEMO-DATA3",
									value: "srv_demo3"
								}
							],
							label: "Server",
							onchange: "listSelector2Change",
							type: "Palm.Mojo.ListSelector",
							l: 0,
							w: "70%",
							t: 0,
							h: "52",
							vAlign: "center"
						},
						{
							name: "button2",
							ontap: "button2Tap",
							disabled: undefined,
							label: "Edit",
							type: "Palm.Mojo.Button",
							l: 159,
							w: "30%",
							t: 0
						}
					]
				}
			]
		}
	]
});